Is Regression: No
Subject: New option clearCache.system does not show up
Description

With #54991 a new system cache was introduced, along with a new TSconfig property, called options.clearCache.system. However
setting this option to true does not work if the user does not also have either options.clearCache.pages or options.clearCache.all set to
true too.

This is because the \TYPO3\CMS\Backend\Toolbar\ClearCacheToolbarItem does not add the "system" options to the list of values to
check for granting access.

Related issues:
related to Core - Story # 54991: Improve caching framework by introducing groups Resolved 2014-01-15
related to Core - Bug # 57703: ClearCacheToolbarItem must implement ClearCach... Closed 2014-04-07

Associated revisions
Revision 3e651c38 - 2014-03-20 11:19 - Francois Suter

[BUGFIX] clearCache.system does not show up

New TSconfig option clearCache.system does not work as expected
because class \TYPO3\CMS\Backend\Toolbar\ClearCacheToolbarItem
wrongly checks access to that option. Thus if only clearCache.system
is set the clear cache menu does not show up at all.

Resolves: #57064
Releases: 6.2
Change-Id: I51c9605c830a9099f21d254ae86d8d6cc430b02a
Reviewed-on: https://review.typo3.org/28518
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Wouter Wolters
Reviewed-by: Kay Strobach
Tested-by: Kay Strobach
Reviewed-by: Francois Suter
Tested-by: Francois Suter

History
#1 - 2014-03-19 09:31 - Gerrit Code Review
- Status changed from Accepted to Under Review
https://review.typo3.org/28518


Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28518

#2 - 2014-03-19 09:46 - Francois Suter

Steps to reproduce:

    -  take an non-admin user and options.clearCache.system = 1 to its TSconfig, taking care that there are no other "clearCache" options set
    -  switch to that user => the clear cache menu does not show up
    -  apply the patch => the menu shows up

#3 - 2014-03-19 12:45 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28518

#4 - 2014-03-19 18:31 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28518

#5 - 2014-03-19 18:50 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28518

#6 - 2014-03-20 11:31 - Francois Suter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3e651c38ba791c6c426887504821650704ece7f5.
